openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/CPE_TEST_SIMULATION:
    post:
      tags:
      - CPE_TEST
      summary: 'CPE: Test Simulation of Formula Evaluation'
      operationId: /rfc/CPE_TEST_SIMULATION
      requestBody:
        content:
          application/json:
            schema:
              properties:
                IV_APPSERV:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Single-character flag
                IV_DISPLAYLIST:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Single-character flag
                IV_GENERATE_GUIDS:
                  type: string
                  default: X
                  maxLength: 1
                  description: Single-character flag
                IV_PRESSERV:
                  type: string
                  default: X
                  maxLength: 1
                  description: Single-character flag
                IV_SOURCE:
                  type: string
                  maxLength: 100
                  description: 30 Characters
                ET_RESULT:
                  type: array
                  items:
                    type: object
                    properties:
                      ROLLNAME:
                        type: string
                        maxLength: 30
                        description: Data element (semantic domain)
                      OBJECT:
                        type: integer
                        format: int64
                        description: CPE - Routine
                      TEXT:
                        type: string
                        maxLength: 40
                        description: Description
              required:
              - IV_APPSERV
              - IV_DISPLAYLIST
              - IV_GENERATE_GUIDS
              - IV_PRESSERV
              - IV_SOURCE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ET_LOG_COM:
                    type: array
                    items:
                      type: object
                      properties:
                        PRIORITY:
                          type: integer
                          format: int64
                          description: CPE - Priority of Log Entry
                        GUID_TYPE:
                          type: string
                          maxLength: 1
                          description: CPE - GUID Type
                        GUID:
                          type: string
                          format: byte
                          description: CPE - Object GUID
                        COND_TYPE:
                          type: string
                          maxLength: 4
                          description: 'CPE: Condition Type for Commodity Pricing'
                        CPE_MODULE:
                          type: string
                          maxLength: 2
                          description: CPE - Module of the Commodity Pricing Engine
                        SUBMODULE:
                          type: string
                          maxLength: 2
                          description: CPE Log - Submodule
                        STEP:
                          type: string
                          maxLength: 4
                          description: CPE Log - Step
                        LOG_NUMBER:
                          type: integer
                          format: int64
                          description: CPE Log - Number
                        TERMNO:
                          type: integer
                          format: int64
                          description: CPE Term - Number in Formula
                        COUNTER:
                          type: integer
                          format: int64
                          description: CPE Log - Counter
                        NAME:
                          type: string
                          maxLength: 30
                          description: CPE Log - Name
                        VALUE:
                          type: string
                          maxLength: 50
                          description: CPE Log - Value
                        OUT_IN:
                          type: string
                          maxLength: 1
                          description: CPE Log - Output or Input
                        SORTNO:
                          type: integer
                          format: int64
                          description: CPE Log - Number for Sorting
                        MODULETEXT:
                          type: string
                          maxLength: 60
                          description: Short Text for Fixed Values
                        SUBMODTEXT:
                          type: string
                          maxLength: 40
                          description: Description
                        DEPTH:
                          type: integer
                          format: int64
                          description: 'CPE - Log: Hierarchy Level of a Log Entry'
                        FLAG:
                          type: string
                          maxLength: 1
                          description: Checkbox in Reporting
                  EV_BILLING_BLOCK:
                    type: string
                    maxLength: 2
                    description: CPE Caller - Billing Block To Be Set for Document Item
                  EV_TEST_ERROR_OCCURRED:
                    type: string
                    maxLength: 1
                    description: Single-character flag
                  ET_RESULT:
                    type: array
                    items:
                      type: object
                      properties:
                        ROLLNAME:
                          type: string
                          maxLength: 30
                          description: Data element (semantic domain)
                        OBJECT:
                          type: integer
                          format: int64
                          description: CPE - Routine
                        TEXT:
                          type: string
                          maxLength: 40
                          description: Description
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
